%define name fldigi
%define version 3.23.04
%define release %mkrel 2

Summary:	Digital modem program for Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Communications
License:	GPLv2+	
URL:		http://www.w1hkj.com/fldigi-distro/
Source0:	http://www.w1hkj.com/fldigi-distro/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	hamlib-devel
BuildRequires:  libxmlrpc-c-devel
BuildRequires:  fltk-devel
BuildRequires:  boost-devel
BuildRequires:  pkgconfig
BuildRequires:  asciidoc
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	%{_lib}portaudio-devel
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libsamplerate-devel
Requires: 	perl-RPC-XML
Obsoletes:  	%name < %version


%description
Fldigi is a software modem for Amateur Radio use. It is a sound card based
program that is used for both transmitting and receiving data in any of the
following modes:

BPSK and QPSK        31, 63, 125, and 250
CW                   speeds from 5 to 200 wpm
DEX                  4, 5, 8, 11, 16 and 22
DominoEX             4, 5, 8, 11, 16 and 22
Hellschreiber        Feld Hell, Slow Hell, Hell x5/x9, FSKHell(-105) and Hell 80
MFSK                 8 and 16; images can be sent and received in MFSK-16 mode
MT63                 500, 1000 and 2000
OLIVIA               various tones and bandwidths
RTTY                 various baud rates, shifts, nbr. of data bits, etc.
THOR                 4, 5, 8, 11, 16 and 22
Throb and ThrobX     1, 2, and 4
WWV                  receive only - calibrate your sound card to WWV
Frequency Analysis   receive only - measure the frequency of a carrier

Fldigi can also control a transceiver using Hamlib or RigCAT I/O, perform online
or cdrom QRZ queries, and log QSOs with fl_logbook or xlog.


%prep
%setup -q


%build
%configure2_5x

%make
  

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_bindir}/flarq
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/*.1.bz2
%{_datadir}/applications/*.desktop
%{_datadir}/fldigi/NAVTEX_Stations.csv
%{_datadir}/fldigi/ToR-Stats-SHIP.csv
%{_datadir}/fldigi/nsd_bbsss.txt
%{_datadir}/fldigi/station_table.txt

%changelog
* Wed Aug 10 2016 adrianomorselli <adrianomorselli> 3.23.04-2uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 3.23.04-2pclos2016
- rebuild for updates

* Mon Oct 19 2015 bb <bb> 3.23.04-1pclos2015
- update for 2015

* Sun Apr 21 2013 Ken <lxgator at gmail.com> 3.21.70-1pclos2013
- 3.21.70

* Mon May 02 2011 Texstar <texstar at gmail.com> 3.21.9-1pclos2011
- 3.21.9

